<script setup lang="ts">
defineProps<{
  msg: string
}>()
</script>

<template>
  <div id="title">
    <h1>{{ msg }}</h1>
  </div>
  <div class="inlineWrapper">
    <div class="left-menu-text">
      <span>業務支援メニュー</span>
    </div>
    <div class="remaining">
      <span>営業プラス</span>
    </div>
  </div>
</template>

<style scoped>
h1 {
  font-weight: 500;
  font-size: 2.6rem;
  color: hsl(49, 44%, 92%);
  top: -10px;
  margin: 15px 15px 15px 15px;
  text-shadow: 0.5px 0.5px black;
  -webkit-text-stroke: 0.6px black;
}

#title {
  background-color: hsl(213, 46%, 91%);
  border: 2px solid hsl(213, 42%, 38%);
  width: 100%;
}

.inlineWrapper {
  display: flex;
  place-items: center stretch;
  flex-grow: 1
}

.left-menu-text {
  background-color: hsl(213, 46%, 91%);
  border-left: 2px solid hsl(213, 42%, 38%);
  border-bottom: 2px solid hsl(213, 42%, 38%);
}

.remaining {
  flex: auto;
  background-color: hsl(213, 46%, 91%);
  border: 2px solid hsl(213, 42%, 38%);
  border-top: none;
  /* margin-left: 5px;
  margin-right: 5px; */
}

span {
  margin-left: 15px;
  margin-right: 15px;
}
</style>
